<ion-header>
  <ion-navbar>
    <ion-row>
      <ion-col col-9 class="header_left">
          {{header_text}}
      </ion-col>
      <ion-col col-3 class="header_right">
        <ion-icon ios="ios-close" md="md-close" (click)="cancel()"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-navbar>
</ion-header>

<ion-content>
  <ion-row>
      <ion-list>
        <ion-item>
          <ion-label floating>Item Name</ion-label>
          <ion-input type="text" name="item_description" [(ngModel)]="item.item_description" (input)="searchItem($event)"></ion-input>
        </ion-item>
        <ion-item *ngIf="displayItems">
          <div class="autocomplete">
            <ion-list>
              <ion-item *ngFor="let item of itemsList" (click)="selectedItem(item)">
                {{item.item_description}}<br>
              </ion-item>
            </ion-list>
          </div>
        </ion-item>
        <ion-item>
          <ion-label floating>Description</ion-label>
          <ion-input type="text" name="item_note" [(ngModel)]="item.item_note" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>HSN/SAC Code</ion-label>
          <ion-input type="number" name="item_hsn_sac_code" [(ngModel)]="item.item_hsn_sac_code" (input)="searchHsnCodes($event)"></ion-input>
        </ion-item>
        <ion-item *ngIf="displayHsnBar">
          <div class="autocomplete">
            <ion-list>
              <ion-item *ngFor="let hsncode of hsnCodeList" (click)="selectedCode(hsncode)">
                {{hsncode.hsncodes}}
              </ion-item>
            </ion-list>
          </div>
        </ion-item>
        <ion-item>
          <ion-label floating>Quantity</ion-label>
          <ion-input type="number" name="item_quantity" [(ngModel)]="item.item_quantity" (input)="updateQuantity($event)"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Unit of Measurement</ion-label>
          <ion-select name="item_unit" [(ngModel)]="item.item_unit" #item_unit="ngModel" cancelText="Cancel" okText="Select">
            <ion-option value="BOU">BOU</ion-option>
            <ion-option value="BAG">Bags</ion-option>
            <ion-option value="BAL">Bale</ion-option>
            <ion-option value="BTL">Bottles</ion-option>
            <ion-option value="BOX">Boxes</ion-option>
            <ion-option value="BKL">Buckles</ion-option>
            <ion-option value="BUN">Bunches</ion-option>
            <ion-option value="BDL">Bundles</ion-option>
            <ion-option value="CAN">Cans</ion-option>
            <ion-option value="CTN">Cartons</ion-option>
            <ion-option value="CMS">Centimeter</ion-option>
            <ion-option value="CCM">Cubic Centimeter</ion-option>
            <ion-option value="CBM">Cubic Meter</ion-option>
            <ion-option value="DOZ">Dozen</ion-option>
            <ion-option value="DRM">Drums</ion-option>
            <ion-option value="GMS">Grams</ion-option>
            <ion-option value="GGK">Great Gross</ion-option>
            <ion-option value="GRS">Gross</ion-option>
            <ion-option value="GYD">Gross Yards</ion-option>
            <ion-option value="KGS">Kilograms</ion-option>
            <ion-option value="KLR">Kiloliter</ion-option>
            <ion-option value="KME">Kilometers</ion-option>
            <ion-option value="MTR">Meter</ion-option>
            <ion-option value="MTS">Metric Ton</ion-option>
            <ion-option value="MLT">Milliliters</ion-option>
            <ion-option value="NOS">Numbers</ion-option>
            <ion-option value="OTH">Others</ion-option>
            <ion-option value="PAC">Packs</ion-option>
            <ion-option value="PRS">Pairs</ion-option>
            <ion-option value="PCS">Pieces</ion-option>
            <ion-option value="QTL">Quintal</ion-option>
            <ion-option value="ROL">Rolls</ion-option>
            <ion-option value="SET">Sets</ion-option>
            <ion-option value="SQF">Square Feet</ion-option>
            <ion-option value="SQM">Square Meter</ion-option>
            <ion-option value="SQY">Square Yards</ion-option>
            <ion-option value="TBS">Tablets</ion-option>
            <ion-option value="TGM">Ten Grams</ion-option>
            <ion-option value="THD">Thousands</ion-option>
            <ion-option value="TON">Tonnes</ion-option>
            <ion-option value="TUB">Tubes</ion-option>
            <ion-option value="UGS">US Gallons</ion-option>
            <ion-option value="UNT">Units</ion-option>
            <ion-option value="YDS">Yards</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>Rate (&#8377;)</ion-label>
          <ion-input type="number" name="item_selling_price" [(ngModel)]="item.item_selling_price" (input)="updateRate($event)"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Taxable Value (&#8377;)</ion-label>
          <ion-input type="number" name="item_taxable_value" [(ngModel)]="item.item_taxable_value" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Taxable Rate (%)</ion-label>
          <ion-select name="item_tax_rate" [(ngModel)]="item.item_tax_rate" cancelText="Cancel" okText="Select" (ionChange)="updateTaxRate($event)">
            <ion-option value="0">NILL</ion-option>
            <ion-option value="00.10">00.10%</ion-option>
            <ion-option value="00.25">00.25%</ion-option>
            <ion-option value="03.00">03.00%</ion-option>
            <ion-option value="05.00">05.00%</ion-option>
            <ion-option value="12.00">12.00%</ion-option>
            <ion-option value="18.00">18.00%</ion-option>
            <ion-option value="28.00">28.00%</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>CGST (&#8377;)</ion-label>
          <ion-input type="number" name="item_cgst" [(ngModel)]="item.item_cgst" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>SGST (&#8377;)</ion-label>
          <ion-input type="number" name="item_sgst" [(ngModel)]="item.item_sgst" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>IGST (&#8377;)</ion-label>
          <ion-input type="number" name="item_igst" [(ngModel)]="item.item_igst" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Cess Advol Rate (%)</ion-label>
          <ion-select name="item_cess_rate" [(ngModel)]="item.item_cess_rate" (ionChange)="updateCessRate($event)" cancelText="Cancel" okText="Select">
            <ion-option value="0">NILL</ion-option>
            <ion-option value="1.00">00.25%</ion-option>
            <ion-option value="3.00">03.00%</ion-option>
            <ion-option value="5.00">05.00%</ion-option>
            <ion-option value="11.00">11.00%</ion-option>
            <ion-option value="12.00">12.00%</ion-option>
            <ion-option value="12.50">12.50%</ion-option>
            <ion-option value="15.00">15.00%</ion-option>
            <ion-option value="17.00">17.00%</ion-option>
            <ion-option value="20.00">20.00%</ion-option>
            <ion-option value="21.50">21.50%</ion-option>
            <ion-option value="22.00">22.00%</ion-option>
            <ion-option value="36.00">36.00%</ion-option>
            <ion-option value="49.00">49.00%</ion-option>
            <ion-option value="60.00">60.00%</ion-option>
            <ion-option value="61.50">61.00%</ion-option>
            <ion-option value="65.00">65.00%</ion-option>
            <ion-option value="71.00">71.00%</ion-option>
            <ion-option value="72.00">72.00%</ion-option>
            <ion-option value="89.00">89.00%</ion-option>
            <ion-option value="96.00">96.00%</ion-option>
            <ion-option value="142.00">142.0%</ion-option>
            <ion-option value="160.00">160.0%</ion-option>
            <ion-option value="204.00">204.0%</ion-option>
            <ion-option value="290.00">290.0%</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>Cess Advol Amount (&#8377;)</ion-label>
          <ion-input type="number" name="item_cess_amount" [(ngModel)]="item.item_cess_amount" readonly></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Cess Non Advol Rate (&#8377;)</ion-label>
          <ion-select name="item_cess_non_advol_rate" [(ngModel)]="item.item_cess_non_advol_rate" cancelText="Cancel" okText="Select">
            <ion-option value="0">NILL</ion-option>
            <ion-option value="400">400</ion-option>
            <ion-option value="2076">2076</ion-option>
            <ion-option value="2747">2747</ion-option>
            <ion-option value="3668">3668</ion-option>
            <ion-option value="4006">4006</ion-option>
            <ion-option value="4170">4170</ion-option>
          </ion-select>
        </ion-item>
        <ion-item>
          <ion-label floating>Cess Non Advol Amount (&#8377;)</ion-label>
          <ion-input type="number" name="item_cess_non_advol_amount" [(ngModel)]="item.item_cess_non_advol_amount" (input)="updateCessNonAdvolAmount($event)" ></ion-input>
        </ion-item>
        <ion-item>
          <ion-label floating>Total (&#8377;)</ion-label>
          <ion-input type="text" name="item_total" [(ngModel)]="item.item_total" readonly></ion-input>
        </ion-item>
      </ion-list>
  </ion-row>
</ion-content>

<ion-footer>
  <ion-row class="row-section">
    <ion-col col-6 class="cancel-section">
      <button ion-button (click)="cancel()" class="cancel_button">Cancel</button>
    </ion-col>
    <ion-col col-6 class="submit-section">
      <button ion-button (click)="save()" class="save_button">Save</button>
    </ion-col>
  </ion-row>
</ion-footer>
